package com.jkcredit.invoice.model.entity.customer;
/**
 * 客户备案信息
 */
public class CustomerRec {
    private Long id;
    /**
     * 客户名称
     */
    public String customerName;

    /**
     * 紧急联系人
     */
    private String companyLeader;

    /**
     * 紧急联系人电话
     */
    private String companyLeaderPhone;

    /**
     * 公司名称
     */
    private String companyName;

    /**
     * 公司税号
     */
    private String companyReferencenum;

    /**
     * 公司开户行
     */
    private String companyOpenbank;

    /**
     * 公司开户行账号
     */
    private String companyOpenbankAcc;

    /**
     * 公司地址
     */
    private String companyAdress;

    /**
     * 公司电话
     */
    private String companyPhone;

    /**
     * 2-自营平台 3-合作商户
     */
    private Integer companyType;
    /**
     * 1-快递
     2-速运
     3-货运代理
     4-普通货运
     5-专线运输
     6-其他
     * 运营范围
     */
    private Integer operatingRangeType;

    /**
     * 企业编号注册后返回
     */
    private String companyNum;


    private String createtime;

    private String companyBelongName;
    /**
     * 2-失败 1-成功 3-等待协议上传 4-停用 0-备案中
     */
    private Integer recStatus;

    private Integer interType; //0-接口 1-平台 3.手工录入

    /**
     * 业务类型 0 -自有车 1-外协车 2-无车
     */
    private String bussinessType;

    /*协议相关字段*/

    /**
     * 服务开始时间
     */
    private String serviceStartTime;

    /**
     * 服务结束时间
     */
    private String serviceEndTime;

    /**
     * 协议类型
     */
    private Integer serviceType;
    /**
     * 协议文件名
     */
    private String contractFileName;
    /**
     * 协议base64编码
     */
    private String base64Str;

    /**
     * 1-协议已上传 2-协议未上传
     */
    private Integer contractSuc =2;

    /**
     * 协议编号 协议上传成功后返回
     */
    private String contrantNum;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCompanyLeader() {
        return companyLeader;
    }

    public void setCompanyLeader(String companyLeader) {
        this.companyLeader = companyLeader == null ? null : companyLeader.trim();
    }

    public String getCompanyLeaderPhone() {
        return companyLeaderPhone;
    }

    public void setCompanyLeaderPhone(String companyLeaderPhone) {
        this.companyLeaderPhone = companyLeaderPhone == null ? null : companyLeaderPhone.trim();
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName == null ? null : companyName.trim();
    }

    public String getCompanyReferencenum() {
        return companyReferencenum;
    }

    public void setCompanyReferencenum(String companyReferencenum) {
        this.companyReferencenum = companyReferencenum == null ? null : companyReferencenum.trim();
    }

    public String getCompanyOpenbank() {
        return companyOpenbank;
    }

    public void setCompanyOpenbank(String companyOpenbank) {
        this.companyOpenbank = companyOpenbank == null ? null : companyOpenbank.trim();
    }

    public String getCompanyOpenbankAcc() {
        return companyOpenbankAcc;
    }

    public void setCompanyOpenbankAcc(String companyOpenbankAcc) {
        this.companyOpenbankAcc = companyOpenbankAcc == null ? null : companyOpenbankAcc.trim();
    }

    public String getCompanyAdress() {
        return companyAdress;
    }

    public void setCompanyAdress(String companyAdress) {
        this.companyAdress = companyAdress == null ? null : companyAdress.trim();
    }

    public String getCompanyPhone() {
        return companyPhone;
    }

    public void setCompanyPhone(String companyPhone) {
        this.companyPhone = companyPhone == null ? null : companyPhone.trim();
    }

    public String getCreatetime() {
        return createtime;
    }

    public void setCreatetime(String createtime) {
        this.createtime = createtime;
    }

    public String getCompanyBelongName() {
        return companyBelongName;
    }

    public void setCompanyBelongName(String companyBelongName) {
        this.companyBelongName = companyBelongName == null ? null : companyBelongName.trim();
    }

    public Integer getRecStatus() {
        return recStatus;
    }

    public void setRecStatus(Integer recStatus) {
        this.recStatus = recStatus;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public Integer getInterType() {
        return interType;
    }

    public void setInterType(Integer interType) {
        this.interType = interType;
    }

    public String getBussinessType() {
        return bussinessType;
    }

    public void setBussinessType(String bussinessType) {
        this.bussinessType = bussinessType;
    }

    public Integer getCompanyType() {
        return companyType;
    }

    public void setCompanyType(Integer companyType) {
        this.companyType = companyType;
    }

    public Integer getOperatingRangeType() {
        return operatingRangeType;
    }

    public void setOperatingRangeType(Integer operatingRangeType) {
        this.operatingRangeType = operatingRangeType;
    }

    public String getCompanyNum() {
        return companyNum;
    }

    public void setCompanyNum(String companyNum) {
        this.companyNum = companyNum;
    }

    public String getServiceStartTime() {
        return serviceStartTime;
    }

    public void setServiceStartTime(String serviceStartTime) {
        this.serviceStartTime = serviceStartTime;
    }

    public String getServiceEndTime() {
        return serviceEndTime;
    }

    public void setServiceEndTime(String serviceEndTime) {
        this.serviceEndTime = serviceEndTime;
    }

    public Integer getServiceType() {
        return serviceType;
    }

    public void setServiceType(Integer serviceType) {
        this.serviceType = serviceType;
    }

    public String getContractFileName() {
        return contractFileName;
    }

    public void setContractFileName(String contractFileName) {
        this.contractFileName = contractFileName;
    }

    public String getBase64Str() {
        return base64Str;
    }

    public void setBase64Str(String base64Str) {
        this.base64Str = base64Str;
    }

    public Integer getContractSuc() {
        return contractSuc;
    }

    public void setContractSuc(Integer contractSuc) {
        this.contractSuc = contractSuc;
    }

    public String getContrantNum() {
        return contrantNum;
    }

    public void setContrantNum(String contrantNum) {
        this.contrantNum = contrantNum;
    }
}